Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.transform.powerassert
[Java] Class AssertionTransformation

    java.lang.Object
      org.codehaus.groovy.transform.powerassert.AssertionTransformation

All Implemented Interfaces:
  ASTTransformation

    @GroovyASTTransformation(phase = CompilePhase.CANONICALIZATION)
    public class AssertionTransformation
    extends Object

Entry point for the transformation of assertions. Since this is a global AST transformation, it must be listed in org.codehaus.groovy.transform.ASTTransformation.

Authors:
  Peter Niederwieser

Method Summary
`void` | `visit(ASTNode[] nodes, SourceUnit sourceUnit)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### visit

    public void visit(ASTNode[] nodes, SourceUnit sourceUnit)

Copyright © 2003-2010 The Codehaus. All rights reserved.